{ outputs, ... }:
{
  services.nginx.virtualHosts."git.${outputs.secrets.jimDomain}" =  {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:3110";
      proxyWebsockets = true;
    };
  };
}
