{ pkgs, outputs, ... }:
{
  services.nginx.virtualHosts."icecast.${outputs.secrets.jimDomain}" =  {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:265";
      proxyWebsockets = true;
      extraConfig = ''
        add_header Ice-Public "1";
      '';
    };
  };
}
