{ pkgs, outputs, ... }: 
{
  services.nginx.virtualHosts."mx.${outputs.secrets.jimDomain}" =  {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:1390";
      proxyWebsockets = true;
    };
  };
}
