{ pkgs, outputs, ... }: 
{
  services.roundcube = {
   enable = true;
   hostName = "mail.${outputs.secrets.jimDomain}";
   extraConfig = ''
     $config['smtp_server'] = "tls://mx.${outputs.secrets.jimDomain}";
     $config['smtp_user'] = "%u";
     $config['smtp_pass'] = "%p";
   '';
  };
}
