{ pkgs, outputs, ... }:
{
  imports = [
    ./nginx
  ];

  nixpkgs.config.element-web.conf = {
    default_server_config = {
      "m.homeserver" = {
        base_url = "https://matrix.${outputs.secrets.jimDomain}";
        server_name = "matrix.${outputs.secrets.jimDomain}";
      };
    };
    branding = {
      #welcome_background_url = "https://staging.${outputs.secrets.jimDomain}/images/backgrounds/bloxelcom-sunset.jpg";
      #auth_header_logo_url = "https://staging.${outputs.secrets.jimDomain}/images/logos/bloxelcom.png";
    };
    embedded_pages = {
      home_url = "https://www.${outputs.secrets.jimDomain}/";
    };
    disable_custom_urls = true;
    disable_guests = true;
    default_theme = "dark";
  };
}
