{ outputs, config, ... }:
{
  services.nginx.virtualHosts."turn.${outputs.secrets.jimDomain}" = {
    enableACME = true;
    forceSSL = true;
    listen = [{
      addr = "0.0.0.0";
      port = 80;
      ssl = false; 
    }];
    locations."/".proxyPass = "http://127.0.0.1:1380";
  };
}
